{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#md5sum_checker.cwl",
            "label": "A tool that checks the md5sum workflow",
            "doc": "[![Docker Repository on Quay.io](https://quay.io/repository/briandoconnor/dockstore-tool-md5sum/status \"Docker Repository on Quay.io\")](https://quay.io/repository/briandoconnor/dockstore-tool-md5sum)\n[![Build Status](https://travis-ci.org/briandoconnor/dockstore-tool-md5sum.svg)](https://travis-ci.org/briandoconnor/dockstore-tool-md5sum)\nA very, very simple Docker container that checks the output of the https://github.com/briandoconnor/dockstore-workflow-md5sum workflow. This was used in the GA4GH/DREAM Infrastructure Challenge Phase 2.  See the [README](https://github.com/briandoconnor/dockstore-workflow-md5sum-tester/blob/master/README.md) for more information.\n",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/briandoconnor/dockstore-workflow-md5sum-tester:1.0.0"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 1024,
                    "outdirMin": 512000
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--input-file"
                    },
                    "doc": "The file that contains an md5sum.",
                    "id": "#md5sum_checker.cwl/Md5sumWorkflowChecker/input_file"
                }
            ],
            "baseCommand": [
                "/bin/check_md5sum"
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "log.txt"
                    },
                    "doc": "A text log file that contains more details.",
                    "id": "#md5sum_checker.cwl/Md5sumWorkflowChecker/log_file"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results.json"
                    },
                    "doc": "A json file that contains the result of the test.",
                    "id": "#md5sum_checker.cwl/Md5sumWorkflowChecker/results_file"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/input_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/checker/results_file",
                    "id": "#main/workflow_output_file"
                }
            ],
            "steps": [
                {
                    "run": "#md5sum_checker.cwl",
                    "in": [
                        {
                            "source": "#main/md5sum/output_file",
                            "id": "#main/checker/input_file"
                        }
                    ],
                    "out": [
                        "#main/checker/results_file"
                    ],
                    "id": "#main/checker"
                },
                {
                    "run": "#md5sum.cwl",
                    "in": [
                        {
                            "source": "#main/input_file",
                            "id": "#main/md5sum/input_file"
                        }
                    ],
                    "out": [
                        "#main/md5sum/output_file"
                    ],
                    "id": "#main/md5sum"
                }
            ],
            "doc": "This demonstrates how to wrap a \"real\" workflow with a checker workflow that runs both the tool and a tool that performs verification of results\n",
            "id": "#main",
            "http://purl.org/dc/terms/creator": {
                "@id": "http://orcid.org/0000-0002-7681-6415",
                "foaf:name": "Brian O'Connor",
                "foaf:mbox": "mailto:briandoconnor@gmail.com"
            },
            "http://purl.org/dc/terms/contributor": {
                "foaf:name": "Denis Yuen",
                "foaf:mbox": "mailto:denis.yuen@oicr.on.ca"
            }
        },
        {
            "class": "CommandLineTool",
            "id": "#dockstore-tool-md5sum.cwl",
            "label": "Simple md5sum tool",
            "doc": "[![Docker Repository on Quay.io](https://quay.io/repository/briandoconnor/dockstore-tool-md5sum/status \"Docker Repository on Quay.io\")](https://quay.io/repository/briandoconnor/dockstore-tool-md5sum)\n[![Build Status](https://travis-ci.org/briandoconnor/dockstore-tool-md5sum.svg)](https://travis-ci.org/briandoconnor/dockstore-tool-md5sum)\nA very, very simple Docker container for the md5sum command. See the [README](https://github.com/briandoconnor/dockstore-tool-md5sum/blob/master/README.md) for more information.\n",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/briandoconnor/dockstore-tool-md5sum:1.0.4"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 1024,
                    "outdirMin": 512
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "doc": "The file that will have its md5sum calculated.",
                    "id": "#dockstore-tool-md5sum.cwl/Md5sum/input_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "format": "http://edamontology.org/data_3671",
                    "outputBinding": {
                        "glob": "md5sum.txt"
                    },
                    "doc": "A text file that contains a single line that is the md5sum of the input file.",
                    "id": "#dockstore-tool-md5sum.cwl/Md5sum/output_file"
                }
            ],
            "baseCommand": [
                "/bin/my_md5sum"
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#md5sum.cwl/input_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#md5sum.cwl/md5sum/output_file",
                    "id": "#md5sum.cwl/output_file"
                }
            ],
            "steps": [
                {
                    "run": "#dockstore-tool-md5sum.cwl",
                    "in": [
                        {
                            "source": "#md5sum.cwl/input_file",
                            "id": "#md5sum.cwl/md5sum/input_file"
                        }
                    ],
                    "out": [
                        "#md5sum.cwl/md5sum/output_file"
                    ],
                    "id": "#md5sum.cwl/md5sum"
                }
            ],
            "id": "#md5sum.cwl",
            "http://purl.org/dc/terms/creator": {
                "@id": "http://orcid.org/0000-0002-7681-6415",
                "foaf:name": "Brian O'Connor",
                "foaf:mbox": "mailto:briandoconnor@gmail.com"
            },
            "http://purl.org/dc/terms/contributor": {
                "foaf:name": "Denis Yuen",
                "foaf:mbox": "mailto:denis.yuen@oicr.on.ca"
            }
        }
    ],
    "cwlVersion": "v1.0"
}
